<div class="container mt-5">
  <div class="row">
     <div class="col-md-4 offset-md-4">
      <h3 class="text-center">Login</h3>
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label>User Name</label>
          <input type="text" formControlName="username" class="form-control" [ngClass]="{
                'is-invalid': submitted && controls.username.errors
              }" />
          <div *ngIf="submitted && controls.username.errors" class="invalid-feedback">
            <div *ngIf="controls.username.errors.required">
              User name is required
            </div>
          </div>
        </div>


        <div class="form-group">
          <label>Password</label>
          <input type="password" formControlName="password" class="form-control" [ngClass]="{
            'is-invalid': submitted && controls.password.errors
          }" />
          <div *ngIf="submitted && controls.password.errors" class="invalid-feedback">
            <div *ngIf="controls.password.errors.required">
              Password is required
            </div>
            <div *ngIf="controls.password.errors.minlength">Password must be at least 6 characters</div>
          </div>
        </div>
        
        <div class="form-group text-center">
          <button class="btn btn-primary btn-large btn-block">Login</button>
        </div>
      </form>

     </div>
  </div>
</div>
